"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var rxjs_1 = require("rxjs");
var _1 = require(".");
describe('Disposable', function () {
    it('create', function () {
        var obj = _1.Dispose.create();
        (0, chai_1.expect)(typeof obj.dispose).to.eql('function');
        (0, chai_1.expect)(typeof obj.dispose$.subscribe).to.eql('function');
    });
    it('event: dispose$', function () {
        var obj = _1.Dispose.create();
        var count = 0;
        obj.dispose$.subscribe(function () { return count++; });
        obj.dispose();
        obj.dispose();
        obj.dispose();
        (0, chai_1.expect)(count).to.eql(1);
    });
    it('until (single)', function () {
        var obj1 = _1.Dispose.create();
        var $ = new rxjs_1.Subject();
        var obj2 = _1.Dispose.until(obj1, $);
        var count = 0;
        obj1.dispose$.subscribe(function () { return count++; });
        (0, chai_1.expect)(obj1).to.equal(obj2);
        $.next();
        $.next();
        $.next();
        (0, chai_1.expect)(count).to.eql(1);
    });
    it('done - fires and completes the subject', function () {
        var dispose$ = new rxjs_1.Subject();
        var count = 0;
        dispose$.subscribe(function (e) { return count++; });
        _1.Dispose.done(dispose$);
        _1.Dispose.done(dispose$);
        _1.Dispose.done(dispose$);
        (0, chai_1.expect)(count).to.eql(1);
    });
});
