"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var _1 = require(".");
var common_1 = require("../common");
describe('id.cuid', function () {
    it('creates a new CUID', function () {
        var result = _1.id.cuid();
        (0, chai_1.expect)(result.length).to.be.greaterThan(24);
    });
    it('ids are unique', function () {
        var ids = Array.from({ length: 1000 }).map(function () { return _1.id.cuid(); });
        (0, chai_1.expect)(ids.length).to.eql(common_1.R.uniq(ids).length);
    });
});
