"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var _1 = require(".");
var common_1 = require("../common");
describe('id.shortid', function () {
    it('creates a new short id', function () {
        var result = _1.id.shortid();
        (0, chai_1.expect)(result.length).to.be.greaterThan(5);
    });
    it('ids are unique', function () {
        var ids = Array.from({ length: 1000 }).map(function () { return _1.id.shortid(); });
        (0, chai_1.expect)(ids.length).to.eql(common_1.R.uniq(ids).length);
    });
    it('slug (alias)', function () {
        var result = _1.id.slug();
        (0, chai_1.expect)(result.length).to.be.greaterThan(5);
    });
});
