"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bus = void 0;
var rxjs_1 = require("rxjs");
var operators_1 = require("rxjs/operators");
var id_1 = require("../id");
var rx_event_1 = require("./rx.event");
var rx_bus_util_1 = require("./rx.bus.util");
var rx_pump_1 = require("./rx.pump");
var factory = function (input) {
    if ((0, rx_bus_util_1.isBus)(input))
        return input;
    var subject$ = input || new rxjs_1.Subject();
    var res = {
        $: subject$.pipe((0, operators_1.filter)(function (e) { return (0, rx_event_1.isEvent)(e); })),
        fire: function (e) { return subject$.next(e); },
    };
    res._instance = "bus.".concat(id_1.id.slug());
    return res;
};
factory.isBus = rx_bus_util_1.isBus;
factory.asType = rx_bus_util_1.busAsType;
factory.instance = rx_bus_util_1.instance;
factory.pump = rx_pump_1.Pump;
exports.bus = factory;
