"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.asPromise = void 0;
var rxjs_1 = require("rxjs");
var operators_1 = require("rxjs/operators");
exports.asPromise = {
    first: function (ob$, options) {
        if (options === void 0) { options = {}; }
        return new Promise(function (resolve) {
            var _a;
            var msecs = Math.max(0, (_a = options.timeout) !== null && _a !== void 0 ? _a : 0);
            var $ = ob$.pipe((0, operators_1.take)(1));
            if (msecs > 0)
                $ = $.pipe((0, rxjs_1.timeout)(msecs), (0, operators_1.catchError)(function () {
                    var err = "Timed out after ".concat(msecs, " msecs");
                    if (options.op)
                        err = "[".concat(options.op, "] ").concat(err);
                    return (0, rxjs_1.of)(err);
                }));
            $.subscribe({
                next: function (e) {
                    var payload = typeof e === 'object' ? e : undefined;
                    var error = typeof e === 'string' ? { code: 'timeout', message: e } : undefined;
                    resolve({ payload: payload, error: error });
                },
                error: function (err) {
                    var _a;
                    var message = (_a = err === null || err === void 0 ? void 0 : err.message) !== null && _a !== void 0 ? _a : 'Failed';
                    resolve({ error: { code: 'unknown', message: message } });
                },
                complete: function () {
                    var message = "The given observable has already \"completed\"";
                    resolve({ error: { code: 'completed', message: message } });
                },
            });
        });
    },
};
