"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.wait = exports.delay = void 0;
var operators_1 = require("rxjs/operators");
function delay(msecs, callback) {
    var timeout;
    var resolver;
    var done = function (result) {
        promise.result = result;
        if (resolver) {
            resolver(result);
        }
    };
    var promise = new Promise(function (resolve, reject) {
        resolver = resolve;
        timeout = setTimeout(function () {
            try {
                if (callback) {
                    done(callback());
                }
                else {
                    done();
                }
            }
            catch (error) {
                reject(error);
            }
        }, msecs);
    });
    promise.id = timeout;
    promise.isCancelled = false;
    promise.result = undefined;
    promise.cancel = function () {
        if (!promise.isCancelled) {
            promise.isCancelled = true;
            if (timeout)
                clearTimeout(timeout);
            done();
        }
    };
    return promise;
}
exports.delay = delay;
var wait = function (msecs) {
    if (typeof msecs === 'object') {
        return new Promise(function (resolve) {
            msecs.pipe((0, operators_1.take)(1)).subscribe(function () { return resolve(); });
        });
    }
    else {
        return delay(msecs, function () { return false; });
    }
};
exports.wait = wait;
