import * as t from './types';
export declare type IDurationOptions = {
    round?: number;
};
export declare class Duration implements t.IDuration {
    static create(msec: number, options?: IDurationOptions): t.IDuration;
    static to: {
        sec: (msec: number, precision?: number) => number;
        min: (msec: number, precision?: number) => number;
        hour: (msec: number, precision?: number) => number;
        day: (msec: number, precision?: number) => number;
        date: (input: t.DateInput) => Date;
    };
    static format(msec: number, unit: t.TimeUnit, round?: number): string;
    static parse(input: string | number, options?: IDurationOptions): t.IDuration;
    private constructor();
    readonly msec: number;
    private readonly round;
    get ok(): boolean;
    get sec(): number;
    get min(): number;
    get hour(): number;
    get day(): number;
    toString(unit?: t.TimeUnit | {
        unit?: t.TimeUnit;
        round?: number;
    }): string;
}
