"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.time = void 0;
var tslib_1 = require("tslib");
var day = require("dayjs");
var delay_1 = require("./delay");
var timer_1 = require("./timer");
var utc_1 = require("./utc");
var duration_1 = require("./duration");
tslib_1.__exportStar(require("./types"), exports);
exports.time = {
    day: day,
    delay: delay_1.delay,
    wait: delay_1.wait,
    timer: timer_1.timer,
    elapsed: timer_1.elapsed,
    utc: utc_1.utc,
    get timezone() {
        return Intl.DateTimeFormat().resolvedOptions().timeZone;
    },
    get now() {
        return (0, utc_1.utc)();
    },
    duration: function (msec, options) {
        if (options === void 0) { options = {}; }
        var round = options.round;
        return typeof msec === 'string'
            ? duration_1.Duration.parse(msec, { round: round })
            : duration_1.Duration.create(msec, { round: round });
    },
};
