"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.elapsed = exports.timer = void 0;
var duration_1 = require("./duration");
function timer(start, options) {
    if (options === void 0) { options = {}; }
    var startedAt = start || new Date();
    var api = {
        startedAt: startedAt,
        reset: function () {
            startedAt = new Date();
            return api;
        },
        get elapsed() {
            return elapsed(startedAt, options);
        },
    };
    return api;
}
exports.timer = timer;
function elapsed(from, options) {
    if (options === void 0) { options = {}; }
    var start = duration_1.Duration.to.date(from);
    var end = options.to ? duration_1.Duration.to.date(options.to) : new Date();
    var msec = end.getTime() - start.getTime();
    var precision = options.round === undefined ? 1 : options.round;
    return duration_1.Duration.create(msec, { round: precision });
}
exports.elapsed = elapsed;
