"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var _1 = require(".");
describe('time.utc', function () {
    it('now', function () {
        var utc = _1.time.utc();
        (0, chai_1.expect)(utc.date).to.eql(new Date(utc.timestamp));
        (0, chai_1.expect)(utc.timestamp).to.eql(new Date(utc.date).getTime());
        (0, chai_1.expect)(utc.unix).to.eql(_1.time.day(utc.date).unix());
    });
    it('from timestamp', function () {
        var now = new Date();
        var utc = _1.time.utc();
        (0, chai_1.expect)(utc.date).to.eql(now);
        (0, chai_1.expect)(utc.timestamp).to.eql(now.getTime());
        (0, chai_1.expect)(utc.unix).to.eql(_1.time.day(now).unix());
    });
    it('from date', function () {
        var now = new Date();
        var utc = _1.time.utc(now);
        (0, chai_1.expect)(utc.date).to.eql(now);
        (0, chai_1.expect)(utc.timestamp).to.eql(now.getTime());
        (0, chai_1.expect)(utc.unix).to.eql(_1.time.day(now).unix());
    });
});
describe('time.now', function () {
    it('now', function () {
        var d = new Date();
        var dt = d.getTime();
        var utc = _1.time.now;
        (0, chai_1.expect)(utc.date.getTime()).to.be.within(dt - 10, dt + 10);
        (0, chai_1.expect)(utc.timestamp).to.be.within(dt - 10, dt + 10);
        (0, chai_1.expect)(utc.unix).to.eql(_1.time.day(d).unix());
    });
    it('now.format()', function () {
        var d = _1.time.day();
        var template = 'YYYY-MM-DD';
        var res = _1.time.now.format(template);
        (0, chai_1.expect)(res).to.eql(d.format(template));
    });
});
