"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.asArray = exports.flatten = exports.compact = void 0;
var common_1 = require("../common");
function compact(list) {
    return common_1.R.pipe(common_1.R.reject(common_1.R.isNil), common_1.R.reject(common_1.R.isEmpty))(list);
}
exports.compact = compact;
function flatten(list) {
    if (!Array.isArray(list)) {
        return list;
    }
    var result = list.reduce(function (a, b) {
        var value = Array.isArray(b) ? flatten(b) : b;
        return a.concat(value);
    }, []);
    return result;
}
exports.flatten = flatten;
function asArray(input) {
    return Array.isArray(input) ? input : [input];
}
exports.asArray = asArray;
