"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var _1 = require(".");
describe('round', function () {
    it('rounds to 0 decimal places', function () {
        (0, chai_1.expect)(_1.value.round(1.123)).to.equal(1);
        (0, chai_1.expect)(_1.value.round(1.513)).to.equal(2);
    });
    it('rounds to 1 decimal place', function () {
        (0, chai_1.expect)(_1.value.round(1.123, 1)).to.equal(1.1);
        (0, chai_1.expect)(_1.value.round(1.153, 1)).to.equal(1.2);
    });
    it('rounds to 2 decimal places', function () {
        (0, chai_1.expect)(_1.value.round(1.123, 2)).to.equal(1.12);
        (0, chai_1.expect)(_1.value.round(1.156, 2)).to.equal(1.16);
    });
    it('rounds to 3 decimal places', function () {
        (0, chai_1.expect)(_1.value.round(1.123, 3)).to.equal(1.123);
        (0, chai_1.expect)(_1.value.round(1.156, 3)).to.equal(1.156);
    });
});
describe('random', function () {
    it('is random within bounds (5..10)', function () {
        var res = _1.value.random(5, 10);
        (0, chai_1.expect)(res).to.greaterThan(4);
        (0, chai_1.expect)(res).to.lessThan(11);
    });
});
