"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toType = exports.toBool = exports.toNumber = void 0;
var is = require("./value.is");
function toNumber(value) {
    if (is.isBlank(value)) {
        return value;
    }
    value = typeof value === 'string' ? value.trim() : value;
    var num = parseFloat(value);
    if (num === undefined) {
        return value;
    }
    if (num.toString().length !== value.toString().length) {
        return value;
    }
    return Number.isNaN(num) ? value : num;
}
exports.toNumber = toNumber;
function toBool(value, defaultValue) {
    if (value === null || value === undefined) {
        return defaultValue;
    }
    if (typeof value === 'boolean') {
        return value;
    }
    var asString = value.toString().trim().toLowerCase();
    if (asString === 'true') {
        return true;
    }
    if (asString === 'false') {
        return false;
    }
    return defaultValue;
}
exports.toBool = toBool;
function toType(value) {
    if (typeof value !== 'string') {
        return value;
    }
    var asString = (value || '').toString().trim().toLowerCase();
    if (asString === 'true' || asString === 'false') {
        return toBool(value);
    }
    if (asString === 'null') {
        return null;
    }
    if (asString === 'undefined') {
        return undefined;
    }
    var num = toNumber(value);
    if (typeof num === 'number') {
        return num;
    }
    return value;
}
exports.toType = toType;
