"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.plural = exports.isStatusOk = exports.deleteEmpty = exports.deleteUndefined = exports.defaultValue = void 0;
var tslib_1 = require("tslib");
function defaultValue(value, defaultValue) {
    return (value === undefined ? defaultValue : value);
}
exports.defaultValue = defaultValue;
function deleteUndefined(obj) {
    obj = tslib_1.__assign({}, obj);
    Object.keys(obj)
        .filter(function (key) { return obj[key] === undefined; })
        .forEach(function (key) { return delete obj[key]; });
    return obj;
}
exports.deleteUndefined = deleteUndefined;
function deleteEmpty(obj) {
    obj = tslib_1.__assign({}, obj);
    Object.keys(obj)
        .filter(function (key) { return obj[key] === undefined || obj[key] === ''; })
        .forEach(function (key) { return delete obj[key]; });
    return obj;
}
exports.deleteEmpty = deleteEmpty;
var isStatusOk = function (status) {
    return status === undefined ? false : status.toString().startsWith('2');
};
exports.isStatusOk = isStatusOk;
function plural(count, singular, plural) {
    plural = plural ? plural : "".concat(singular, "s");
    return count === 1 || count === -1 ? singular : plural;
}
exports.plural = plural;
